

import 'package:rasadyar_livestock/data/model/response/auth/auth_response_model.dart';
import 'package:rasadyar_livestock/data/model/response/captcha/captcha_response_model.dart';

abstract class AuthRemoteDataSource {
  Future<AuthResponseModel?> login({required Map<String, dynamic> authRequest});

  Future<CaptchaResponseModel?> captcha();

  Future<void> logout();

  Future<bool> hasAuthenticated();

  Future<AuthResponseModel?> loginWithRefreshToken({required Map<String, dynamic> authRequest});
}
